Loading...
Searching...
No Matches
Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, false > Class Template Reference

Provides the quantities required to calculate diffusive mass fluxes. More...

`#include <blackoildiffusionmodule.hh>`

## Public Member Functions

Scalar | diffusivity () const
| The diffusivity the face.
const Evaluation & | effectiveDiffusionCoefficient (unsigned, unsigned) const
| The effective diffusion coeffcient of a component in a fluid phase at the face's integration point.

## Protected Member Functions

void | update_ (const ElementContext &, unsigned, unsigned)
| Update the quantities required to calculate the diffusive mass fluxes.
template<class Context, class FluidState>
void | updateBoundary_ (const Context &, unsigned, unsigned, const FluidState &)

## Detailed Description

template<class TypeTag>
class Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, false >

Provides the quantities required to calculate diffusive mass fluxes.

## Member Function Documentation

## effectiveDiffusionCoefficient()

template<class TypeTag>

const Evaluation & Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, false >::effectiveDiffusionCoefficient | ( | unsigned | ,
|  | unsigned | ) const

inline

The effective diffusion coeffcient of a component in a fluid phase at the face's integration point.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoildiffusionmodule.hh